#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = 'Georg Krause'
SITENAME = 'Loopp'
SITEURL = 'http://localhost:8000'
THEME = 'themes/Loopp'
INDEX_SAVE_AS = 'blog.html'

PATH = 'content'

TIMEZONE = 'Europe/Berlin'

DEFAULT_LANG = 'en'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = 'feeds/all.atom.xml'
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (('Blog', '/blog.html'),
        ('OpenAV Productions', 'http://openavproductions.com/'),)

# Social widget
SOCIAL = (('You can add links in your config file', '#'),
          ('Another social link', '#'),)

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True

# Landing Page Content

SPLASH_HEADING = 'LOOPP'
SPLASH_SUBHEADING = 'A free and Open Source Live Performance Tool'
SPLASH_BUTTON_TEXT = 'Get Started'

FEATURES_HEADING = 'Solid Live Performance Tool'
FEATURES_FIRST_HEADING = 'Grid Launcher'
FEATURES_FIRST_CONTENT = 'There is the well known Grid Launcher, ready to record or load your Loops and perform your music.'
FEATURES_SECOND_HEADING = 'Mixer Section'
FEATURES_SECOND_CONTENT = """The versatile Mixer Sections allows you to use anything whats needed: A global Send for Reverb,
    Sidechaining and one independend FX Send per Track."""
FEATURES_THIRD_HEADING = 'MIDI Controller Support'
FEATURES_THIRD_CONTENT = """With extensive MIDI mapping support, you can get looping just how you like! If your Controller is
    not already supported, simply use MIDI learn or write your own Controller map."""
FEATURES_FOURTH_HEADING = 'Intended for Live Usage'
FEATURES_FOURTH_CONTENT = """While development we always have live usage in mind. We focus on real time processing without any
    crashes. Nothing should disturb the show!"""

RIBBON_HEADING = 'Become a part of the community!'
RIBBON_CONTENT = """Loopp is useful for you? You enjoy it or have idea how to improve? Do you want to help with testing, 
    documentation or development? We are looking forward to get in touch with you! 
    <a href = "https://git.netzspielplatz.de/soundship/loopp/issues/new">Create an issue on Gitlab</a>. Join our discussion
    via <a href="https://matrix.to/#/#loopp:librem.one"> Matrix </a> or <a href="http://webchat.freenode.net/#loopp">IRC</a>."""

FOOTER = 'Luppp is developed by <a href="http://openavproductions.com">OpenAV Productions</a>. Loopp is a Fork by Georg Krause.'
